require 'pathname'
require(Pathname.new(__FILE__).parent + 'lib/common.rb')


describe 'Header ID:' do
	before(:each) do
		@bf = BlueFeather::Parser.new
		@html = @bf.parse_text(@src)
		@doc = Hpricot(@html)
	end


	describe 'basic:' do
		before(:all) do
			@src = '## h2 ## {#test-id}'
		end
		
		specify 'correct id' do
			@doc.should have_element('h2#test-id')
		end

	end

	
	describe 'use span transform format:' do
		before(:all) do
			@src = '## h2 ## {#the_test_id}'
		end
		
		specify 'correct id' do
			@doc.should have_element('h2#the_test_id')
		end

	end



end